Facebook Ads

Regions

GET
/v1/facebook/ads/region

Retrieve Facebook Ads regions data with performance metrics segmented by geographic location.

This endpoint provides location-based insights including country and region-level performance data.

Dimensions Available:

  • Adset ID, ad ID, region, country, objective
  • Metrics: impressions, reach, clicks, spend
  • Lead metrics: lead, leadgen_grouped, onsite_conversion_lead_grouped (fb_pixel_lead is not available: Meta does not return off-Meta actions with the region breakdown)
  • Date range (date_start, date_stop)

Limitations:

  • Maximum 5000 records per page
  • Supports date filtering via dateStart and dateEnd (ISO 8601 format)
  • Supports sorting via orderBy and orderDirection (ASC/DESC)

Filters:

  • organizationId (required)
  • userId (optional)
  • integrationName (optional)
  • dateStart (optional)
  • dateEnd (optional)

Authorization

ClientIdAuthClientSecretAuth
headerx-client-id<token>

Client ID

headerx-client-secret<token>

Client secret

Query Parameters

organizationId*string

Organization identifier (required)

userId?string

User identifier (optional)

integrationName?string

Integration name identifier (optional)

dateStart?string

Start date for filtering (optional, ISO 8601 format)

Formatdate
dateEnd?string

End date for filtering (optional, ISO 8601 format)

Formatdate
page?integer

Page number for pagination (optional)

Default1
limit?integer

Number of items per page (optional, max 5000)

Rangevalue <= 5000
Default500
orderBy?string

Field to order by (optional)

orderDirection?string

Order direction (optional)

Value in"ASC""DESC"

Response Body

Successful response

application/json
  1. response
data?array<>
meta?
curl -X GET "https://example.com/v1/facebook/ads/region?organizationId=organization_123&dateStart=2024-01-01&dateEnd=2024-12-31"
{  "data": [    {      "adset_id": "string",      "ad_id": "string",      "clicks": 0,      "reach": 0,      "impressions": 0,      "objective": "string",      "spend": 0,      "date_start": "2019-08-24",      "date_stop": "2019-08-24",      "region": "string",      "country": "string",      "lead": 0,      "leadgen_grouped": 0,      "onsite_conversion_lead_grouped": 0,      "organization_id": "string",      "user_id": "string",      "document_id": "string",      "inserted_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "page": 0,    "limit": 0,    "hasNextPage": true,    "hasPreviousPage": true  }}